`sig
module type T =
sig
type key
val encrypt_ecb :
Cryptsystem_64.T.key ->
int * int * int * int -> int * int * int * int
val encrypt_ecb_int32 :
Cryptsystem_64.T.key ->
int32 -> int32 -> int32 Stdlib.ref -> int32 Stdlib.ref -> unit
val decrypt_ecb :
Cryptsystem_64.T.key ->
int * int * int * int -> int * int * int * int
val decrypt_ecb_int32 :
Cryptsystem_64.T.key ->
int32 -> int32 -> int32 Stdlib.ref -> int32 Stdlib.ref -> unit
val prepare : string -> Cryptsystem_64.T.key
val textkey : Cryptsystem_64.T.key -> string
val is_weak : Cryptsystem_64.T.key -> bool
end
end`